org.jfree.xml.generator.model

## Class Comments

- java.lang.Object
- - org.jfree.xml.generator.model.Comments

-     public class Comments
      extends java.lang.Object

  A set of comments for a model.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Comments(java.lang.String[] openTagComment, java.lang.String[] closeTagComment)` Creates a new set of comments.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getCloseTagComment()` Returns the close tag comments.
    `java.lang.String[]` | `getOpenTagComment()` Returns the open tag comments.
    `java.lang.String` | `toString()` Returns a string representation of the set of comments.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Comments

          public Comments(java.lang.String[] openTagComment,
                  java.lang.String[] closeTagComment)

      Creates a new set of comments.
      Parameters:
        `openTagComment` - the open tag comment.
        `closeTagComment` - the close tag comment.

  - ### Method Detail

    - #### getOpenTagComment

          public java.lang.String[] getOpenTagComment()

      Returns the open tag comments.
      Returns:
        The open tag comments.

    - #### getCloseTagComment

          public java.lang.String[] getCloseTagComment()

      Returns the close tag comments.
      Returns:
        The close tag comments.

    - #### toString

          public java.lang.String toString()

      Returns a string representation of the set of comments.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        A string.